#' @title df_svy22
#' @description A dataset from a survey conducted at the province level in Indonesia in 2022.
#' @format A data frame with 74.070 rows and 11 variables.
#'
#' \describe{
#'   \item{PSU}{Primary Sampling Unit}
#'   \item{WEIGHT}{Weight from survey}
#'   \item{PROV}{province code}
#'   \item{REGENCY}{regency/municipality code}
#'   \item{STRATA}{Strata}
#'   \item{income}{Income}
#'   \item{neet}{Not in education employment or training status}
#'   \item{sex}{sex (1: male, 2: female)}
#'   \item{age}{age}
#'   \item{disability}{disability status (0: False, 1: True)}
#'   \item{edu}{last completed education}
#' }
"df_svy22"

#' @title df_svy23
#' @description A dataset from a survey conducted at the province level in Indonesia in 2023.
#' @format A data frame with 66.245 rows and 11 variables.
#'
#' \describe{
#'   \item{PSU}{Primary Sampling Unit}
#'   \item{WEIGHT}{Weight from survey}
#'   \item{PROV}{province code}
#'   \item{REGENCY}{regency/municipality code}
#'   \item{STRATA}{Strata}
#'   \item{income}{Income}
#'   \item{neet}{Not in education employment or training status}
#'   \item{sex}{sex (1: male, 2: female)}
#'   \item{age}{age}
#'   \item{disability}{disability status (0: False, 1: True)}
#'   \item{edu}{last completed education}
#' }
"df_svy23"

#' @title df_svy_A
#' @description A simulation dataset from a small sample survey, presented only at provincial level (Domain 1).
#' @format A data frame with 2000 rows and 20 variables with 40 domains.
#'
#' \describe{
#'   \item{province}{Province code}
#'   \item{id_ind}{Unique identifier for each respondent}
#'   \item{num}{Sample number}
#'   \item{weight}{Weight from survey}
#'   \item{x1}{Predictor variables X1}
#'   \item{x2}{Predictor variables X2}
#'   \item{x3}{Predictor variables X3}
#'   \item{x4}{Predictor variables X4}
#'   \item{x5}{Predictor variables X5}
#'   \item{x6}{Predictor variables X6}
#'   \item{x7}{Predictor variables X7}
#'   \item{x8}{Predictor variables X8}
#'   \item{x9}{Predictor variables X9}
#'   \item{x10}{Predictor variables X10}
#'   \item{x11}{Predictor variables X11}
#'   \item{x12}{Predictor variables X12}
#'   \item{x13}{Predictor variables X13}
#'   \item{x14}{Predictor variables X14}
#'   \item{x15}{Predictor variables X15}
#'   \item{Y}{Target variable (1: Yes, 0: No)}
#' }
"df_svy_A"

#' @title df_svy_B
#' @description A simulation dataset from a large sample survey, presented at the regency level (Domain 2).
#' @format A data frame with 8000 rows and 20 variables with 40 domains.
#'
#' \describe{
#'   \item{province}{Province code}
#'   \item{regency}{Regency code}
#'   \item{id_ind}{Unique identifier for each respondent}
#'   \item{num}{Sample number}
#'   \item{weight}{Weight from survey}
#'   \item{x1}{Predictor variables X1}
#'   \item{x2}{Predictor variables X2}
#'   \item{x3}{Predictor variables X3}
#'   \item{x4}{Predictor variables X4}
#'   \item{x5}{Predictor variables X5}
#'   \item{x6}{Predictor variables X6}
#'   \item{x7}{Predictor variables X7}
#'   \item{x8}{Predictor variables X8}
#'   \item{x9}{Predictor variables X9}
#'   \item{x10}{Predictor variables X10}
#'   \item{x11}{Predictor variables X11}
#'   \item{x12}{Predictor variables X12}
#'   \item{x13}{Predictor variables X13}
#'   \item{x14}{Predictor variables X14}
#'   \item{x15}{Predictor variables X15}
#' }
"df_svy_B"




